> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List partner programs

> List partner programs.
Warning: the BadgeUrl is a temporary link that works only for 72 hours for each request.



## OpenAPI

````yaml /openapi.json get /v3/programs
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/programs:
    get:
      tags:
        - Programs
      summary: List partner programs
      description: "List partner programs.\r\nWarning: the BadgeUrl is a temporary link that works only for 72 hours for each request."
      responses:
        '200':
          description: Programs returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProgramListResponseDto'
      security:
        - oauth2:
            - Api
components:
  schemas:
    ProgramListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProgramDto'
          nullable: true
      additionalProperties: false
    ProgramDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        id:
          type: integer
          format: int32
        levels:
          type: array
          items:
            $ref: '#/components/schemas/ProgramLevelDto'
          nullable: true
        mustAcceptTerms:
          type: boolean
          nullable: true
        termsUrl:
          type: string
          nullable: true
      additionalProperties: false
    ProgramLevelDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        badgeUrl:
          type: string
          nullable: true
        requirements:
          type: array
          items:
            $ref: '#/components/schemas/ProgramItemDto'
          nullable: true
        benefits:
          type: array
          items:
            $ref: '#/components/schemas/ProgramItemDto'
          nullable: true
        rewards:
          type: array
          items:
            $ref: '#/components/schemas/ProgramItemDto'
          nullable: true
      additionalProperties: false
    ProgramItemDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        programLevelId:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        displayOrder:
          type: integer
          format: int32
      additionalProperties: false

````